Last modified: 2014-03-13 11:45:31 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 54460 - Missing message <api-error-stasherror> in connection with the UploadWizard
Missing message <api-error-stasherror> in connection with the UploadWizard
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UploadWizard (Other open bugs)
master
All All
: Low normal (vote)
: ---
Assigned To: Nobody - You can work on this!
http://www.google-melange.com/gci/tas...
gci2013
: easy
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2013-09-23 08:15 UTC by Raimond Spekking
Modified: 2014-03-13 11:45 UTC (History)
10 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Screenshot (78.92 KB, image/png)
2013-09-23 08:15 UTC, Raimond Spekking
Details

Description Raimond Spekking 2013-09-23 08:15:17 UTC
Created attachment 13351 [details]
Screenshot

During uploading files with the UploadWizard I saw a placeholder for the missing message <api-error-stasherror>.

Filing this bug into core because the API error messages are in MessagesEn.php.
Comment 1 Brad Jorsch 2013-09-23 19:10:50 UTC
I have no idea why these errors are in core, but they don't actually belong to the API, despite the names given them.

Apparently they were added in r108415 by Siebrand with a comment "Remove API error message duplication from Translate and UploadWizard into core", so they rightly belong to one of those two extensions. Since the bug says the missing message was seen in UploadWizard, let's put it there.
Comment 2 Nemo 2013-11-19 12:36:26 UTC
Adding many blockers of bug 38638 to the list of "easy" bugs, to mark them as candidates for [[mw:Google Code-in]] tasks (gci2013). If you think this bug is not suitable, remove the keyword.
Comment 3 Nemo 2013-12-26 10:58:27 UTC
Can be fixed at the same time as bug 54524 comment 4, add Shira to reviewers.
Comment 4 Quim Gil 2013-12-28 18:11:28 UTC
To be clear, are you saying that we can create one single Google Code-in task consisting of bug 54524 comment 4 and this report here?
Comment 5 Nemo 2013-12-30 14:43:18 UTC
(In reply to comment #4)
> To be clear, are you saying that we can create one single Google Code-in task
> consisting of bug 54524 comment 4 and this report here?

mayankmadan says yes. :)
Comment 6 Gerrit Notification Bot 2014-01-02 20:46:09 UTC
Change 105040 had a related patch set uploaded by Mayankmadan:
Adding a message for api-error-stasherror

https://gerrit.wikimedia.org/r/105040
Comment 7 Gerrit Notification Bot 2014-01-02 21:27:46 UTC
Change 105040 abandoned by Mayankmadan:
Adding a message for api-error-stasherror

Reason:
Needs to be in core

https://gerrit.wikimedia.org/r/105040
Comment 8 Gerrit Notification Bot 2014-01-02 21:32:58 UTC
Change 105094 had a related patch set uploaded by Mayankmadan:
Adding a message for api-error-stasherror

https://gerrit.wikimedia.org/r/105094
Comment 9 Gerrit Notification Bot 2014-01-02 21:37:30 UTC
Change 105097 had a related patch set uploaded by Mayankmadan:
Including api-error-stasherror from core

https://gerrit.wikimedia.org/r/105097
Comment 10 Gerrit Notification Bot 2014-01-02 22:35:28 UTC
Change 105094 merged by jenkins-bot:
Adding a message for api-error-stasherror

https://gerrit.wikimedia.org/r/105094
Comment 11 Gerrit Notification Bot 2014-01-02 22:37:39 UTC
Change 105097 merged by jenkins-bot:
Including api-error-stasherror from core

https://gerrit.wikimedia.org/r/105097
Comment 12 Andre Klapper 2014-03-13 11:45:31 UTC
All patches merged - assuming this bug is FIXED.
If that is not the case: Please reopen and elaborate what is left to do here to get this report fixed.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links